Skip to main content
POST
/
api
/
v1
/
transactions
/
xero
/
export
Xero Export Package Alias
curl --request POST \
  --url https://api.hevn.finance/api/v1/transactions/xero/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromDate": "2023-12-25",
  "toDate": "2023-12-25",
  "type": "<string>",
  "isIncome": true,
  "status": "<string>"
}
'
{
  "exported": 123,
  "skipped": 123,
  "errors": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json
fromDate
string<date> | null
toDate
string<date> | null
type
string | null
isIncome
boolean | null
status
string | null

Response

Successful Response

exported
integer
required
skipped
integer
required
errors
string[]